# Method SSL.sslfile()->is_open()

Method is_open

  `int is_open()`

Returns

  Returns nonzero if the stream currently is open, zero otherwise.

  This function does nonblocking I/O to check for a close packet in the input buffer.

  If a clean close has been requested in nonblocking mode, then 2 is returned until the close packet exchanged has been completed.

Note

  In Pike 7.8 and earlier, this function returned zero in the case above where it now returns 2.